Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class SimpleRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

All Implemented Interfaces:
  RegisterableItemsFactory

Direct Known Subclasses:
  DefaultRegisterableItemsFactory

    public class SimpleRegisterableItemsFactory

extends Object
implements RegisterableItemsFactory

The most basic `RegisterableItemsFactory` implementation that allows to define listeners and work item handlers by their class and whenever they will be required new instance will be created out of the given `Class` instance. It's construction is limited to only two options:

- default - no argument constructor
- single argument constructor of type `KieSession`

to populate this factory with class definitions use halper methods:

- addWorkItemHandler
- addProcessListener
- addAgendaListener
- addWorkingMemoryListener

Constructor Summary
`SimpleRegisterableItemsFactory()`

Method Summary
`void` | `addAgendaListener(Class<? extends AgendaEventListener> clazz)`
`void` | `addProcessListener(Class<? extends ProcessEventListener> clazz)`
`void` | `addWorkingMemoryListener(Class<? extends WorkingMemoryEventListener> clazz)`
`void` | `addWorkItemHandler(String name, Class<? extends WorkItemHandler> clazz)`
`protected
`<T> T`
` | `createInstance(Class<T> clazz, KieSession ksession)`
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)` Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)` Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)` Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)` Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRegisterableItemsFactory

    public SimpleRegisterableItemsFactory()

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`

  Specified by:
    `getWorkItemHandlers` in interface `RegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case handler need to make use of it internally
  Returns:
    map of handlers to be registered - in case of no handlers empty map shall be returned.

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getProcessEventListeners` in interface `RegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getAgendaEventListeners` in interface `RegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getWorkingMemoryEventListeners

    public List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getWorkingMemoryEventListeners` in interface `RegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### addWorkItemHandler

    public void addWorkItemHandler(String name,
                                   Class<? extends WorkItemHandler> clazz)

### addProcessListener

    public void addProcessListener(Class<? extends ProcessEventListener> clazz)

### addAgendaListener

    public void addAgendaListener(Class<? extends AgendaEventListener> clazz)

### addWorkingMemoryListener

    public void addWorkingMemoryListener(Class<? extends WorkingMemoryEventListener> clazz)

### createInstance

    protected <T> T createInstance(Class<T> clazz,
                                   KieSession ksession)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.